.tree{
    display: flex;
    align-items: flex-start;
    flex: 1;
    min-height: 250px;
    flex-wrap: wrap;
    overflow-y: auto;
}

.directory,
.file{
    display:flex;
    flex-direction: column;
    align-items:center;
    justify-content:center;
    padding-bottom: 5px;
}

.tree > *{
    width: 100px;
    min-height: 100px;
    margin: 0px 10px 10px 0;
}

.tree .directory i,
.tree .file i{
    font-size: 75px;
    color: #e81d63;
}

.tree .directory.selected i.fa-folder::before{
    content: '\f07c';
}

.tree .directory span,
.tree .file span{
    width: 100%;
    font-size: 12px;
    text-align:center;
    text-overflow:ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.tree .directory.selected,
.tree .file.selected{
    background: gainsboro;
}

.tree .directory.selected span,
.tree .file.selected span{
    white-space: pre-wrap;
    text-overflow:unset;
}

.tree .directory img,
.tree .file img{
    padding: 5px;
    max-height: 100%;
}